%define	name		wine
%define	version		20050725
%define	rel		7
%define subrel		1
%define	release		%mkrel %{rel}
%define	lib_name_orig	lib%{name}
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%{lib_name}-devel

Summary:	WINE Is Not An Emulator - runs MS Windows programs
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Emulators
URL:		http://www.winehq.com/

Source0:	http://www.ibiblio.org/pub/Linux/ALPHA/wine/development/Wine-%{version}.tar.bz2

# RH stuff
Source2:        wine.init
#ensure DESTDIR (rcc: updated)
Patch1:		wine-20030705-destdir.patch.bz2
#(rcc) place menus in apps/emu/Wine/Start submenu, disable desktop shortcuts
Patch107:	wine-20050310-shelllink.patch.bz2
Patch108:	wine-20050725-wineprefixcreate-mdkconf.patch.bz2
# from http://www.winehq.com/hypermail/wine-devel/2005/02/att-0675/02-wineesd-20050111.patch.gz
Patch109:	wine-20050725-esd-support.patch.bz2
#Patch110:	wine-20041201-preload-fix.patch.bz2
#(peroyvind): from http://directxwine.sourceforge.net/
#Patch111:	d3d9patch.2005-05-06.diff.bz2
Patch112:	wine-20050524-alsa-includes.patch.bz2
Patch113:	wine-20050725-detect-oss-last.patch.bz2
Patch114:	wine-20050725-new-fontforge-fix.patch.bz2
Patch115:	wine-CVE-2005-4560.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%{ix86} sparc ppc
BuildRequires:	bison flex gpm-devel MesaGLU-devel perl-devel ncurses-devel sgml-tools
BuildRequires:	XFree86-devel freetype2-devel autoconf2.5 docbook-utils docbook-dtd-sgml
BuildRequires:	cups-devel jackit-devel ImageMagick isdn4k-utils-devel xpm-devel
BuildRequires:	sane-devel glibc-static-devel esound-devel ungif-devel
%if %mdkversion >= 1020
BuildRequires:	fontforge
%endif
Provides:	wine-utils = %{version}-%{release} wine-full = %{version}-%{release}
Obsoletes:	wine-utils wine-full
Requires:	freetype2 X11R6-contrib
Requires(post,preun,postun):	rpm-helper
Conflicts:	wine < 20050725-2mdk

%description
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.  It
consists of a program loader which loads and executes a Microsoft
Windows binary, and a library (called Winelib) that implements Windows
API calls using their Unix or X11 equivalents.  The library may also
be used for porting Win32 code into native Unix executables.

%package -n	%{lib_name}
Summary:	Libraries for %{name}}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}
Requires(pre):	/bin/sed /bin/awk /bin/egrep
Conflicts:	wine <= 20040813-2mdk
Conflicts:	wine-utils <= 20040813-2mdk

%description -n %{lib_name}
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.
Wine is often updated.

%package -n	%{lib_name_devel}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Obsoletes:	wine-devel
Provides:	wine-devel

%description -n	%{lib_name_devel}
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

%{lib_name_devel} contains the libraries and header files needed to
develop programs which make use of wine.

Wine is often updated.

# Let's split out some libraries to avoid gazillions of depencies

%package -n	%{lib_name}-capi
Summary:	Capi support for %{name}
Group:		System/Libraries

%description -n %{lib_name}-capi
Capi support for %{name}.

%package -n	%{lib_name}-twain
Summary:	Twain support for %{name}
Group:		System/Libraries

%description -n %{lib_name}-twain
Twain support for %{name}.

%prep
%setup -q
find . -type d -name CVS|xargs rm -rf
%patch1 -p1 -b .destdir
%patch107 -p1 -b .shlink
%patch108 -p1 -b .conf
%patch113 -p1 -b .detect
%patch109 -p1 -b .esd
#%patch110 -p0 -b .preload
#%patch111 -p2 -b .directx9
%patch112 -p1 -b .alsa
%patch114 -p1 -b .fontforge
%patch115 -p1 -b .cve-2005-4560

%build
autoconf
%configure2_5x	--with-x \
		--enable-opengl \
%ifarch x86_64
		--enable-win64
%endif

make depend
%make
%make -C programs

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} LDCONFIG=/bin/true 

%{makeinstall_std} -C programs prefix=$RPM_BUILD_ROOT%{_prefix}

# Danny: dirty:
install -C -m755 tools/fnt2bdf %{buildroot}%{_bindir}/fnt2bdf

# Allow users to launch Windows programs by just clicking on the .exe file...
install -m755 %{SOURCE2} -D $RPM_BUILD_ROOT%{_initrddir}/%{name}

export DONT_GPRINTIFY=1

#(peroyvind, from rcc/Mark Draheim) add menu entries
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="X11" section="More Applications/Emulators" title="Wine" longtitle="Wine" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Configurator" longtitle="Configurator" command="winecfg" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Notepad" longtitle="Notepad" command="notepad" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Software Manager" longtitle="Software Manager" command="uninstaller" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Progman" longtitle="Progman" command="progman" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Filemanager" longtitle="Filemanager" command="winefile" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Registry Editor" longtitle="Registry Editor" command="regedit /S" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Minesweeper" longtitle="Minesweeper" command="winemine" icon="%{name}.png"
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="Start" longtitle="Start" icon="%{name}.png"
EOF

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert programs/winemenubuilder/wine.xpm -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert programs/winemenubuilder/wine.xpm -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert programs/winemenubuilder/wine.xpm -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -fr $RPM_BUILD_ROOT

%preun
%_preun_service %{name}

%post
%_post_service %{name}
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name}
sed -i "N;s#%{_libdir}/wine\n##g" %{_sysconfdir}/ld.so.conf
/sbin/ldconfig

%postun -n %{lib_name}
sed -i "N;s#%{_libdir}/wine\n##g" %{_sysconfdir}/ld.so.conf
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS README
%{_initrddir}/%{name}
%{_bindir}/wine-?thread
%{_bindir}/wine
%{_bindir}/winecfg
%{_bindir}/wineconsole*
%{_bindir}/wineserver
%{_bindir}/wineboot
%{_bindir}/function_grep.pl
%{_bindir}/wineshelllink
%{_bindir}/winebrowser
%{_bindir}/wineprefixcreate
%{_bindir}/wine-preloader
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/progman
%{_bindir}/regedit
%{_bindir}/uninstaller
%{_bindir}/wcmd
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/winhelp
%{_bindir}/regsvr32
%{_bindir}/winefile
%{_bindir}/winelauncher
%{_mandir}/man1/wine.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/generic.ppd
%{_datadir}/%{name}/%{name}.inf
%{_datadir}/applications/%{name}.desktop
%if %mdkversion >= 1020
%dir %{_datadir}/fonts/wine
%{_datadir}/fonts/wine/*
%endif
%{_menudir}/wine
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwine*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.drv.so
%{_libdir}/%{name}/*.dll.so
%{_libdir}/%{name}/*.exe.so
%exclude %{_libdir}/%{name}/capi2032.dll.so
%exclude %{_libdir}/%{name}/twain*.dll.so
%{_libdir}/%{name}/*.acm.so
%{_libdir}/%{name}/*.ocx.so
%{_libdir}/%{name}/*.vxd.so
%{_libdir}/%{name}/*.tlb.so

%files -n %{lib_name}-capi
%defattr(-,root,root)
%{_libdir}/%{name}/capi2032.dll.so

%files -n %{lib_name}-twain
%defattr(-,root,root)
%{_libdir}/%{name}/twain*.dll.so

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc DEVELOPERS-HINTS ChangeLog BUGS
%{_libdir}/%{name}/*.a
%{_libdir}/libwine*.so
%{_libdir}/%{name}/*.def
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/fnt2bdf
%{_bindir}/wmc
%{_bindir}/wrc
%{_bindir}/winebuild
%{_bindir}/winegcc
%{_bindir}/wineg++
%{_bindir}/winecpp
%{_bindir}/widl
%{_bindir}/winedbg
%{_bindir}/winemaker
%{_bindir}/winedump
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winegcc.1*

%changelog
* Fri Jan 13 2006 Vincent Danen <vdanen@mandriva.com> 20050725-6.1.20060mdk
- P115: security fix for CVE-2005-4560

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 20050725-6mdk
- Rebuild for new libldap-2.2

* Mon Aug 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-5mdk
- fix problem with conflicts by adding version to provides (fixes #17927)

* Wed Aug 24 2005 Laurent MONTEL <lmontel@mandriva.com> 20050725-4
- Fix upgrade from 10.1

* Mon Aug 22 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-3mdk
- fix initscript (rewrote S2, fixes #17676)
- fix upgrade by adding conflicts (fixes #17737)
- fix build with new fontforge (P114 from wine cvs)

* Fri Aug 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-2mdk
- fix so that esd support is automatically detected by winecfg and also added
  to the driver list (added to P109)
- try to detect oss after other sound drivers, otherwise it will be detected
  first even if there are other drivers (added to to P113)
- fix requires(pre,postun,preun)
- fix requires-on-release
- nuke wine-utils and wine-full packages and rather just move the user
  utils to main wine package and the devel utils to the devel package
- drop mdk 8.2 specific stuff
- don't add library dir to /etc/ld.so.conf anymore, remove the old line
- clean out old junk!!

* Thu Aug 04 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-1mdk
- 20050725
- add back esd support (P109)
- drop wine wrapper script as it's no longer needed (drop S104, modifies P108,
  should also fix #9350)

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050628-3mdk
- move winecfg to main package as it's now usable and the only way to configure wine
- fix dangling-relative-symlink by moving symlink for twain to twain package

* Fri Jul 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050628-2mdk
- arg, by an accident last release got shipped with an old version of wine-launcher.sh,
  ship new one again

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050628-1mdk
- 20050628
- all configs have been moved to registry, therefore remove those configs (S200 & P100)
- don't build documentation

* Thu Jun 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050524-1mdk
- 20050524
- fix build with newer alsa (P112 from gentoo)
- add missing buildrequires (fixes #16062)

* Fri Apr 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050419-2mdk
- don't build on x86_64
- fix build on older releases where fontforge isn't available (which 
  also makes it easier to rebuild package for the club:o)

* Thu Apr 28 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050419-1mdk
- 20050419
- regenerate P100
- drop directx9 patch (P111, merged upstream:)

* Sat Apr 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050310-1mdk
- 20050310
- add directx9 patch (P111)
- update shellink patch (P107)
- %%mkrel
- fix executable-marked-as-config-file

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050211-2mdk
- fix buildrequires

* Sun Feb 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050211-1mdk
- 20050211

* Fri Jan 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050111-1mdk
- 20040111
- drop apploader patch (P105) as it breaks current scripts
- drop P110 (fixed upstream)

* Wed Dec 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20041201-1mdk
- 20041201
- fix problem with preloader (P110, fixes #12438)
- regenerate P100

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20041019-1mdk
- 20041019
- regenerate P107
- wineclipsrv is no more, remove from %%files
- initial attempt on building win64 emulator on x64_64 (probably needs more work)

* Wed Aug 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040813-2mdk
- fix temp path in config file and remove some directories in path (P100)
- update launcher script (upstream changes) (S104)
- drop S103 & S105

* Tue Aug 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040813-1mdk
- 20040813
- regenerate P100
- drop P109 (added upstream)

* Thu Jul 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040716-2mdk
- add support for esd (P109)
- update wine-launcher.sh script (S104) to no longer use soundwrappers as we now
  have support for both arts and esd in wine
 
* Wed Jul 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040716-1mdk
- 20040716
- regenerate P100
- drop P106

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040615-2mdk
- fix buildrequires
- clean out old stuff from spec

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040615-1mdk
- 20040615
- adapt wineprefixcreate for mdk (P108, fixes #10074):
	o trash wine-config (S103 & S105)
	o no longer make a windows system i /var/lib/wine as we rather use a local
	  per user (trash S100)
	o update wine-launcher.sh (S104) to use wineprefixcreate
- regenerate P100
- add new files to %%files list
- do not build on sparc64

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040505-4mdk
- quick and dirty replacement for wine-config.pl (S105) for making drives in
  wine with symlinks (feedback wanted!)
- spec fixes

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040505-3mdk
- rebuild

* Wed May 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040505-2mdk
- 20040505
- drop P2
- regenerate P100

* Tue May 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040408-2mdk
- fix problem with $WINEPREFIX being overridden (fixes #9511 Frank <fwallingford@hotmail.com>)

* Wed Apr 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040408-1mdk
- 20040408
- regenerate P2 & P100

* Thu Apr 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040309-1mdk
- 20040309
- regenerate P100
- make a separate .wine-native directory for native windowsdir (from Danny, see #8823)
- update %files list, files changed upstream

* Sun Mar 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040213-3mdk
- fix problems with arguments when none is specified (fixes #9100)

* Wed Mar 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040213-2mdk
- fix problem with native windowsdir (from Danny Tholen, fixes #8823)

* Wed Feb 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040213-1mdk
- 20040213
- fix buildrequires (lib64..)
- drop obsolete configure options

* Wed Feb 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040121-2mdk
- updated config file to have photoshop working again (from Curtis Hildebrand <curtis_h.news@telus.net>)
- add /S argument to regedit in menu item, or else gui won't show up (is this intentional?¹)
- remove LICENSE file from %%doc (it's LGPL, no need to include it)

* Fri Jan 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040121-1mdk
- 20040121

* Fri Dec 19 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20031212-2mdk
- fix wrong macro in post script
- split twain library in to own package

* Thu Dec 18 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20031212-1mdk
- 20031212
- various changes upstream making changes to packaging:
	o regapi is gone
	o wineg++ and winecpp is here
	o icons changed

* Tue Dec 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20031118-3mdk
- don't use %%mklibname for devel
- fix a couple of descriptions
- split capi library into own package

* Wed Nov 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20031118-2mdk
- compile with capi4linux support

* Wed Nov 19 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20031118-1mdk
- 20031118

* Wed Nov 05 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20031016-1mdk
- 20030813
- sync patches with Mark Draheim's
- fix buildrequires (lib64..)

* Tue Sep 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20030813-1mdk
- 20030813
- drop P200, merged upstream
- added menu item for the new graphical interface for regedit
- satisfy rpmlint a little more (add own icons, add longtitle, coherent
  package value)

* Fri Jul 18 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030709-2mdk
- build on sparc & ppc too, according to Ove Kåven this should be possible
- cosmetics

* Tue Jul 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030709-1mdk
- 20030709

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-7mdk
- rebuild

* Wed Jul 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-6mdk
- replace Patch1 to get rid of problems with $RPM_BUILD_ROOT getting hardcoded in binaries,
  (from Mark Draheim)
- also change %%makeinstall macros to %%makeinstall_std to work with this

* Wed Jul 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-5mdk
- some minor cleanups
- add menu items (from rcc/Mark Draheim <rickscafe.casablanca@gmx.net>)
- make apploaders work with our starter script (P105) (Mark Draheim)
- add note to warning, showing the dir where winedefault.reg can be found (P106) (Mark Draheim)
- place menus in apps/emu/Wine/Start submenu, disable desktop shortcuts (P107) (Mark Draheim)
- disabled gcc strict aliasing as it is apparently no good anyway with current wine (Mark Draheim

* Wed Jul 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-4mdk
- added X11R6-contrib as dependency for wine-utils as winelauncher requires xmessage from this package
- dropped redundant --prefix passed to configure
- use glibc NPTL threading support 
- fixed problems with $RPM_BUILD_ROOT getting hardcoded in binaries
- moved winevdm.exe.so from wine-utils to wine

* Wed Jul 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-3mdk
- fix problems with sgml documentation (from AAW <arnld23@execpc.com>)

* Mon Jun 30 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-2mdk
- really fix #3888

* Sun Jun 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030618-1mdk
- 20030618
- build against libjack-devel

* Thu Jun 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030508-1mdk
- 20030508
- fixed messed up changelog in wine-launcher.sh
- use %%mklibname for devel package
- use double %%'s in changelog
- added BuildConflicts: libjackit-devel, we've never built against it before,
  and currently it's broken in wine for newer versions
- make symlinks from wine utils to windows dir (closes bug #3888) thx to James Gregory <james@linuxaus.com>

* Tue Apr 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030408-3mdk
- fix summary for utilities package
- be sure to own %{_libdir}/%{name} (thx to olivier)
- rcc <rickscafe.casablanca@gmx.net>
	o make winstyle paths work (ie C:\\xxx xxx\\yyy)
	o changed argument handling
	o changed interpreter to bash because we're using bash extensions

* Wed Apr 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030408-2mdk
- changed summary too
- make wine able to handle spaces in filenames again

* Fri Apr 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030408-1mdk
- 20030408
- rm -rf buildroot before install
- changed description, quoting the readme file in stead (Wine Is Not an Emulator;)
- added new %{_bindir}/winecfg file to %{name}-utils
- use a few more macros:
   s#/etc#%%{_sysconfdir}#
   s#/var/lib#%%{_localstatedir}#
   s#/usr/share#%%{_datadir}#

* Fri Apr 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 20030318-1mdk
- 20030318
- updated mdkconf patch(Patch100)
- use %%mklibname macro
- drop unapplied patches

* Wed Feb 12 2003 HÃ Quôc-Viêt <viet@mandrakesoft.com> 20030115-4mdk
- thanks to Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>
        o replaced make install DESTDIR=%%buildroot with %%makeinstall_std
- thanks to Chmouel Boudjnah <chmouel@mandrakesoft.com>
        o added a test against /proc/sys/fs/binfmt_misc in init.d/wine
	
* Thu Feb 11 2003 HÃ Quôc-Viêt <viet@mandrakesoft.com> 20030115-3mdk
- thanks to Danny Tholen <obiwan@mailmij.org> and
  rcc <rickscafe.casablanca@gmx.net>:
        o replaced %%makeinstall with make install DESTDIR=%%buildroot
	  to fix unicode.h clash with libunicode-devel

* Thu Jan 23 2003 HÃ Quôc-Viêt <viet@mandrakesoft.com> 20030115-2mdk
- Danny Tholen <obiwan@mailmij.org>:
        o fixes in wineconfig for 2k/NT/XP systems
        o run wine through arts/esd
        o spec file cleanup
- rcc <rickscafe.casablÆÆÆÆÆOAanca@gmx.net>:
        o new mdkconfig
        o new regdefaults
        o autofs patch
- Patch4 wine-20030115-configure.ac to help configure find some libs

* Thu Jan 16 2003 HÃ Quôc-Viêt <viet@mandrakesoft.com> 20030115-1mdk
- new release

* Thu Jan 16 2003 HÃ Quôc-Viêt <viet@mandrakesoft.com> 20021219-1mdk
- new release
- added WINEDLLPATH to wine-launcher.sh
- added /usr/lib/wine to LD_LIBRARY_PATH in wine-launcher.sh
- updated wine-20021219-destdir.patch.bz2 to use RPM_BUILD_ROOT and thus
  simplify the spec
- added the few additional files to their respective rpm
  
* Thu Nov 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20021007-2mdk
- wine-config : fix cdrom bug

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20021007-1mdk
- new release
- remove patch 102 (merged upstream)
- clean -b flags that were blindly copied by mdk club packager

* Wed Sep 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020804-3mdk
- prereq: rpm-helper
- use default wine version of system.ini and win.ini

* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020804-2mdk
- fix launch wrapper & configurator

* Mon Aug 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020804-1mdk
- rcc <rickscafe.casablanca@gmx.net>
	o New Snapshot
        o patched mdkconf
        o use sample config
        o enabble artsdrv in config
	o adjust font paths
	o wine-config is in winelauncher now
	o removed obsolete redhat patch
	o win and system ini now created by wine, not by make_a_windows_system
	o added /usr/share/wine/configsamples
- Danny Tholen <obiwan@mailmij.org> :
	o Fix O3 compiling for new snapshot.
	o rewrote winelaucher script 
	o Move some files from lib to utils.
	o Rewritten wine-config.pl, thanks Jérôme Martin <jerome.f.martin@free.fr>
* Wed Jul 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020710-1mdk
- Danny Tholen <obiwan@mailmij.org> :
	o Cleanup spec file.
	o Update (Build)requires
	o Build with -O3 again for 9.0.
	o 20020710 snapshot
	o enable build for club/8.2
	o patch for PACKAGE_NAME with autoconf-2.52 (Jon Griffiths
	  <jon_p_griffiths@yahoo.com>).
	  Alternative is to use standard configure, and not rebuild it.
	o updated patches
	o Removed patch 5 (obsolete), 6 (cannot apply) and 106 (obsolete).

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020509-2mdk
- add new tool : winepath
- explicitly buildrequires freetype2-devel
- update tchar patch
- double MAX_FONTS size [Patch105]
- explicitely load freetype.so.6 [Patch106]
- reintroduce regapi

* Fri May 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020509-1mdk
- new snapshot (20020509)
- remove useless prefix
- build with gcc-3.1

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-2mdk
- add tchar.h to list of headers to install in include/Makefile.in [Patch102]
- add regedit to wine-utils
- BuildRequires: libarts-devel (aRts driver), libsane-devel (twain support)

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-1mdk
- 20020411 snapshot

* Mon Apr 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020327-2mdk
- use %%_initrddir rather than /etc/rc.d/init.d
- s!autoconf!autoconf-2.5x!g
- build html docs (based on gotz suggestion)
- LGPL instead of MIT license (several reports (gotz and others))
- Götz Waschk :
	- call autoconf
	- use %%configure2_5x
	- lower optimization level (O3 => O2)

* Fri Apr 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020327-1mdk
- 20020327 snapshot
- remove %%Packager reference to prevent dadou to be "spammed"
- rearrange the spec to ease comparison with rh
- get rid of merged patche parts
- document previous patches
- default emulate WinME, not anymore the old windows 3.1 [Patch5]
- a few more macros usage
- don't use glibc private functions (__libc_fork) [Patch4]
- auto-generate default config if none exists [Patch3,Patch6]
- adapt old patch for /etc/wine/... [Patch100]
- add LICENSE file to all packages
- add wineconsole,winelauncher and function_grep.pl

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 20011226-4mdk
- BuildRequires

* Fri Jan 18 2002 David BAUDENS <baudens@mandrakesoft.com> 20011226-3mdk
- Fix %%preun - Thanks to Andre Duclos

* Tue Jan  8 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20011226-2mdk
- libwine-devel provides/obsoletes wine-devel.

* Fri Jan  4 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20011226-1mdk
- 20011226.
- New libwine libwine-devel and wine-utils packages.
- New init scripts.
- Put config files in /etc/wine.
- New auto configurator.
- Merge with rh patches.

* Wed Nov 21 2001 David BAUDENS <baudens@mandrakesoft.com> 20011108-1mdk
- 20011108

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 20010824-2mdk
- BuildRequires: XFree86-devel
- Provides: wine-debug (make rpmplint happy)

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010824-1mdk
- 20010824.

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 20010731-2mdk
- BuildRequires: sgml-tools
- Remove redundant BuildRequires: glibc-devel, XFree86-devel

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010731-1mdk
- 20010731.
- Rework completly the specfile (move wine from /usr/X11R6 in /usr).
- Add binfmt service to let use launch .exe file directly with wine.
- Merge rh changes.
- Requires latest setup for wine user.

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 20010629-1mdk
- 20010629

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010510-1mdk
- 20010510.

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010418-1mdk
- 20010418.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 20010326-1mdk
- 20010326

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010305-1mdk
- Add /usr/X11R6/lib/wine to ld.so.conf.
- Rewrote all automaticall detection scripts and default config.
- 20010305.

* Thu Dec 07 2000 David BAUDENS <baudens@mandrakesoft.com> 20001202-1mdk
- 20001202
- Disable optimizations for this release (don't build)

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-4mdk
- Move libraries in %%prefix/lib/wine

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-3mdk
- Add flex bison (Frederic CROZAT) and Mesa-common-devel to BuildRequires
- Little spec clean up

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-2mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-1mdk
- 20001026

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 20001002-1mdk
- 20001002

* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %%post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %%post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %%post %%postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %%prefix definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %%prefix
- changed %%post so it is only done the *first* time it is installed 
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %%prefix
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
